<html>
<head>
<title>Ogre::RenderSystem::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderSystem::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderSystem::Listener" -->
<p>Defines a listener on the custom events that this render system can raise.  
 <a href="classOgre_1_1RenderSystem_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RenderSystem_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#a2ccefd2fe4eb8ca096e8ec7efbefc413">Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#a92f2b3702187d4893f0a28993510f759">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#aafc262fea83eae3a360aeb16d1cc7ef9">eventOccurred</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;eventName, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *parameters=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A rendersystem-specific event occurred.  <a href="#aafc262fea83eae3a360aeb16d1cc7ef9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines a listener on the custom events that this render system can raise. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html#ada5d01c8a4eb8e64140d92fce245800c" title="Adds a listener to the custom events that this render system can raise.">RenderSystem::addListener</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderSystem_8h_source.html#l01370">1370</a> of file <a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2ccefd2fe4eb8ca096e8ec7efbefc413"></a><!-- doxytag: member="Ogre::RenderSystem::Listener::Listener" ref="a2ccefd2fe4eb8ca096e8ec7efbefc413" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#a2ccefd2fe4eb8ca096e8ec7efbefc413">Ogre::RenderSystem::Listener::Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystem_8h_source.html#l01373">1373</a> of file <a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a92f2b3702187d4893f0a28993510f759"></a><!-- doxytag: member="Ogre::RenderSystem::Listener::~Listener" ref="a92f2b3702187d4893f0a28993510f759" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#a92f2b3702187d4893f0a28993510f759">Ogre::RenderSystem::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystem_8h_source.html#l01374">1374</a> of file <a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aafc262fea83eae3a360aeb16d1cc7ef9"></a><!-- doxytag: member="Ogre::RenderSystem::Listener::eventOccurred" ref="aafc262fea83eae3a360aeb16d1cc7ef9" args="(const String &amp;eventName, const NameValuePairList *parameters=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#aafc262fea83eae3a360aeb16d1cc7ef9">Ogre::RenderSystem::Listener::eventOccurred</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>eventName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>parameters</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A rendersystem-specific event occurred. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">eventName</td><td>The name of the event which has occurred </td></tr>
    <tr><td class="paramname">parameters</td><td>A list of parameters that may belong to this event, may be null if there are no parameters </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderSystem_8h_source.html">OgreRenderSystem.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
